%define tarname		SoQt

%define major		20
%define libname		%mklibname %name %major
%define libnamedev	%mklibname %name -d

Summary:		Interfaces Coin with the Qt GUI library
Name:			soqt
Version:		1.6.3
Release:		%mkrel 1
License:		GPLv2
Group:			System/Libraries
URL:			https://coin3d.github.io/
Source0:		https://github.com/coin3d/soqt/releases/download/v%{version}/%{name}-%{version}-src.tar.gz
Patch0:			soqt-1.6.0-cmake.patch
Patch1:			soqt-1.6.0-pkgconf.patch
BuildRequires:		cmake
BuildRequires:		doxygen
BuildRequires:		cmake(Qt6Core)
BuildRequires:		cmake(Qt6Gui)
BuildRequires:		cmake(Qt6OpenGL)
BuildRequires:		cmake(Qt6Widgets)
BuildRequires:		pkgconfig(Coin) >= 4.0.0
BuildRequires:		pkgconfig(xi)

%description
SoQt, like Coin and Qt, provides the programmer with a high-level application
programmer's interface (API) in C++. The library primarily includes a
class-hierarchy of viewer components of varying functionality and complexity,
with various modes for the end-user to control the 3D-scene camera interaction.

%package -n %{libname}
Summary:		Main library for SoQt
Group:			System/Libraries
Provides:		%{name} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with SoQt.

%package -n %{libnamedev}
Summary:		Headers for developing programs that will use SoQt
Group:			Development/C++
Requires:		%{libname} = %{version}-%{release}
Provides:		%{name}-devel = %{version}-%{release}
Provides:		%{tarname}-devel = %{version}-%{release}
Obsoletes:		%{_lib}soqt20-devel < 1.5.0-4

%description -n %{libnamedev}
This package contains the headers that programmers will need to develop
applications which will use SoQt.

%prep
%autosetup -n %{name} -p1

%build
# (daviddavid) Move the headers to the same directory as Coin4
%cmake -DSOQT_BUILD_DOCUMENTATION=TRUE \
       -DSOQT_BUILD_DOC_MAN=TRUE \
       -DCMAKE_INSTALL_INCLUDEDIR=%{_includedir}/Coin4
%cmake_build

%install
%cmake_install

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{libnamedev}
%doc README FAQ AUTHORS NEWS
%{_docdir}/%{tarname}/
%{_libdir}/*.so
%{_includedir}/Coin4/Inventor/Qt/
%{_datadir}/%{tarname}/
%{_mandir}/man3/*
%{_libdir}/cmake/%{tarname}-%{version}/
%{_libdir}/pkgconfig/*.pc


%changelog
* Wed Nov 06 2024 daviddavid <daviddavid> 1.6.3-1.mga10
+ Revision: 2112741
- new version: 1.6.3
- switch to Qt6

* Sun Apr 03 2022 umeabot <umeabot> 1.6.0-4.mga9
+ Revision: 1842238
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 neoclust <neoclust> 1.6.0-3.mga8
+ Revision: 1659967
- Add patch fix cmake regression
+ umeabot <umeabot>
- Rebuild for new Qt5

* Sun May 31 2020 daviddavid <daviddavid> 1.6.0-1.mga8
+ Revision: 1589143
- new version: 1.6.0
- switch to cmake build system
- port to Qt5
- update Url and Source Url

* Fri Feb 14 2020 umeabot <umeabot> 1.5.0-8.mga8
+ Revision: 1517143
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.5.0-7.mga7
+ Revision: 1301108
- Mageia 7 Mass Rebuild

* Sun Jul 08 2018 wally <wally> 1.5.0-6.mga7
+ Revision: 1242618
- fix build on aarch64
+ kekepower <kekepower>
- Update make macros

* Tue Feb 09 2016 umeabot <umeabot> 1.5.0-5.mga6
+ Revision: 952019
- Mageia 6 Mass Rebuild
+ shlomif <shlomif>
- Un-obsolete soqt per request of my apprentice.

* Tue Aug 20 2013 wally <wally> 1.5.0-4.mga5
+ Revision: 468290
- drop major from devel pkg name
- use configure2_5x and makeinstall_std macros
- drop .la files

* Mon Jan 14 2013 umeabot <umeabot> 1.5.0-3.mga3
+ Revision: 382341
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Feb 21 2012 barjac <barjac> 1.5.0-2.mga2
+ Revision: 211642
- Corrected Provides and Requires on -devel

* Tue Feb 21 2012 barjac <barjac> 1.5.0-1.mga2
+ Revision: 211498
- imported package soqt

